i2o_block_end_request
Prev | I2O message devices | Next

## Name

i2o_block_end_request — Post-processing of completed commands

## Synopsis

`void i2o_block_end_request (` | struct request * | req,
| int | uptodate,
| int | nr_bytes`)`;

## Arguments

`req`

  request which should be completed

`uptodate`

  1 for success, 0 for I/O error, < 0 for specific error

`nr_bytes`

  number of bytes to complete

## Description

Mark the request as complete. The lock must not be held when entering.

Prev | Up | Next
i2o_block_delayed_request_fn | Home | i2o_block_reply